EC_PNODE_FIND(3)

NAME
ec_pnode_find - Find a node from its identifier.

SYNOPSIS
#include <ecoli/parse.h>

const struct ec_pnode * ec_pnode_find(
    /*
     * The node of the parsing tree where the search starts.
     */
    const struct ec_pnode   *root,
    const char              *id     /* The node identifier string to match. */
);

DESCRIPTION

Find the first node in the parsing tree which has the given node identifier. The search is a depth-first search.

RETURN VALUE

The first node matching the identifier, or NULL if not found.

SEE ALSO

ec_pnode_len(3), ec_pnode_get_strvec(3), ec_parse(3), ec_parse_strvec(3), ec_pnode(3), ec_pnode_free_children(3), ec_pnode_get_root(3), ec_pnode_get_parent(3), ec_pnode_find_next(3), ec_pnode_get_first_child(3), ec_pnode_free(3), ec_pnode_dup(3), ec_pnode_matches(3), ec_pnode_dump(3), ec_pnode_unlink_child(3), ec_pnode_next(3), ec_pnode_del_last_child(3), ec_pnode_link_child(3), ec_pnode_count(3), ec_pnode_get_attrs(3), ec_pnode_get_last_child(3), ec_pnode_get_node(3), ec_parse_child(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.